Subject: bug#15682: 24.3.50; `:link' in `defgroup' does not respect `mouse-1-click-follows-link'

From: Drew Adams <[email-masked]>
Date: Wed, 27 Apr 2016 10:18:09 -0700 (PDT)

> I kinda think it might be time to consider doing a rewrite from scratch
> using modern Emacs features, and then things like this bug report would
> start working automatically.
> 
> How big a task would this be?  I mean, of course we'd keep compatibility
> (the defcustom language is fine), but just rewrite the UI `M-x
> customize' bits...  Hm...

I can't speak to this, sorry.  I'll just mention that I think:
(1) it could be a large undertaking and (2) there is existing
code out there that depends on or enhances cus*.el and wid*.el
code.

Personally, I would prefer that we live with it, and try to
improve it incrementally, rather than opting for a rewrite or
replacement.  I'd like to see a resident Emacs expert on wid*
and cus*, rather than someone who doesn't master it just trying
for a replacement.

(Yes, I'm conservative wrt this stuff.  Emacs is one of the
few things I'm conservative about. ;-))